<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\InvoiceDataValidation;
use App\Models\User;

class InvoiceDataValidationPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any InvoiceDataValidation');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, InvoiceDataValidation $invoicedatavalidation): bool
    {
        return $user->checkPermissionTo('view InvoiceDataValidation');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create InvoiceDataValidation');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, InvoiceDataValidation $invoicedatavalidation): bool
    {
        return $user->checkPermissionTo('update InvoiceDataValidation');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, InvoiceDataValidation $invoicedatavalidation): bool
    {
        return $user->checkPermissionTo('delete InvoiceDataValidation');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any InvoiceDataValidation');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, InvoiceDataValidation $invoicedatavalidation): bool
    {
        return $user->checkPermissionTo('restore InvoiceDataValidation');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any InvoiceDataValidation');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, InvoiceDataValidation $invoicedatavalidation): bool
    {
        return $user->checkPermissionTo('replicate InvoiceDataValidation');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder InvoiceDataValidation');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, InvoiceDataValidation $invoicedatavalidation): bool
    {
        return $user->checkPermissionTo('force-delete InvoiceDataValidation');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any InvoiceDataValidation');
    }
}
